Skip to Content
Welcome to Festie! 🎪 The ultimate festival management platform is here!
Public REST APIGET /toppers

GET /toppers

Lists ranking entries for one topper placeholder.

GET /public-api/v1/toppers

Query Parameters

NameTypeRequiredNotes
topperPlaceholderIdUUIDYesPublished topper placeholder id.
pageintegerNoDefaults to 1.
limitintegerNoDefaults to 20, maximum 500.
sortBystringNoTopper entry sort field.
sortOrderasc or descNoSort direction.

Example

curl \
  -H "X-API-Key: fst_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
  "https://testapi.festie.app/public-api/v1/toppers?topperPlaceholderId=00000000-0000-4000-8000-000000000000"

Response Shape

{ "context": {}, "placeholder": {}, "data": [], "meta": {} }

Each topper entry includes rank, points, program count, candidate/team/section/group fields, and last result date.

Last updated on